function $AdfCheckRegionUncommittedDataBehavior$$($regionIds$$1$$, $message$$55$$, $triggerType$$) {
  this.Init($regionIds$$1$$, $message$$55$$, $triggerType$$);
}
$goog$exportSymbol$$("AdfCheckRegionUncommittedDataBehavior", $AdfCheckRegionUncommittedDataBehavior$$);
$AdfObject$$.$createSubclass$($AdfCheckRegionUncommittedDataBehavior$$, $AdfClientBehavior$$);
$AdfCheckRegionUncommittedDataBehavior$$.prototype.Init = function $$AdfCheckRegionUncommittedDataBehavior$$$$Init$($regionIds$$2$$, $message$$56$$, $triggerType$$1$$) {
  $AdfCheckRegionUncommittedDataBehavior$$.$superclass$.Init.call(this);
  this.$_regionIds$ = $regionIds$$2$$;
  this.$_message$ = $message$$56$$;
  this.$_triggerType$ = $triggerType$$1$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfCheckRegionUncommittedDataBehavior.prototype.Init", {Init:$AdfCheckRegionUncommittedDataBehavior$$.prototype.Init});
$AdfCheckRegionUncommittedDataBehavior$$.prototype.$initialize$ = function $$AdfCheckRegionUncommittedDataBehavior$$$$$initialize$$($component$$251$$) {
  var $type$$138$$ = $AdfActionEvent$$.$ACTION_EVENT_TYPE$;
  "removeItem" == this.$_triggerType$ && ($type$$138$$ = $AdfItemEvent$$.$ITEM_ACTION_REMOVE$);
  $component$$251$$.addEventListener($type$$138$$, this.$fire$, this);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfCheckRegionUncommittedDataBehavior.prototype.initialize", {$initialize$:$AdfCheckRegionUncommittedDataBehavior$$.prototype.$initialize$});
$AdfCheckRegionUncommittedDataBehavior$$.prototype.$fire$ = function $$AdfCheckRegionUncommittedDataBehavior$$$$$fire$$($event$$94$$) {
  var $component$$252$$ = $event$$94$$.getSource();
  $AdfAssert$$.$assertArrayOrNull$(this.$_regionIds$);
  var $resolvedRegionIds$$ = null;
  if (null != this.$_regionIds$) {
    for (var $resolvedRegionIds$$ = [], $i$$111_parent$$inline_560_region$$ = 0;$i$$111_parent$$inline_560_region$$ < this.$_regionIds$.length;$i$$111_parent$$inline_560_region$$++) {
      var $target$$90$$ = $component$$252$$.$findComponent$(this.$_regionIds$[$i$$111_parent$$inline_560_region$$]);
      null != $target$$90$$ && $resolvedRegionIds$$.push($target$$90$$.$getClientId$());
    }
  } else {
    a: {
      for ($i$$111_parent$$inline_560_region$$ = $component$$252$$.getParent();null != $i$$111_parent$$inline_560_region$$;) {
        if ("oracle.adf.RichRegion" == $i$$111_parent$$inline_560_region$$.getComponentType()) {
          break a;
        }
        $i$$111_parent$$inline_560_region$$ = $i$$111_parent$$inline_560_region$$.getParent();
      }
      $i$$111_parent$$inline_560_region$$ = null;
    }
    null != $i$$111_parent$$inline_560_region$$ && ($resolvedRegionIds$$ = [$i$$111_parent$$inline_560_region$$.$getClientId$()]);
  }
  null != $resolvedRegionIds$$ && 0 < $resolvedRegionIds$$.length ? $AdfPage$$.$PAGE$.$checkRegionUncommittedData$($resolvedRegionIds$$, this.$_message$) || $event$$94$$.cancel() : $AdfLogger$$.$LOGGER$.warning("Failed to resolve target region Ids for \x3caf:checkRegionUncommittedDataBehavior\x3e of " + $component$$252$$.$toDebugString$());
};
$AdfObject$$.$exportPrototypeSymbol$("AdfCheckRegionUncommittedDataBehavior.prototype.fire", {$fire$:$AdfCheckRegionUncommittedDataBehavior$$.prototype.$fire$});
